#!/bin/bash

set -e

function keepgoing
{
  echo "Going to run:"
  echo "$@"
  if [ "$AUTO" ]
  then
    $@
  else
    echo "Hit enter to continue, enter any text to stop"
    read ENTRY
    if [ -n "$ENTRY" ]
    then
      exit 1
    else
      echo $@ | bash
#      echo "$@"
#      $@
    fi
  fi
}

if (echo "$@" | grep -iq "a")
then
  export AUTO="auto"
else
  export AUTO=""
fi

if ! [ -f ~/.uqt-vm-tools.conf ]
then
  echo "Running vm-new to create ~/.uqv-vm-tools.conf"
  if [ "$AUTO" ]
  then
    CMD="echo \"y\" | vm-new"
  else
    CMD=vm-new
  fi
  keepgoing $CMD
fi

SSHKEY=$(echo -e "import utah.config\nprint(utah.config.sshpublickey)" | python)
if ! (grep -q "^vm_ssh_key=$SSHKEY" ~/.uqt-vm-tools.conf)
then
  CMD="sed 's@^vm_ssh_key=[^#]*#@vm_ssh_key=$SSHKEY #@' -i ~/.uqt-vm-tools.conf"
  echo "Adding SSH key to config file"
  keepgoing $CMD
fi

if ! (grep "^vm_extra_packages=" ~/.uqt-vm-tools.conf | grep "python-yaml" | grep "bzr" | grep -q "git")
then
  CMD="sed 's/^vm_extra_packages=\"/vm_extra_packages=\"python-yaml bzr git /' -i ~/.uqt-vm-tools.conf"
  echo "Adding client dependencies to config file"
  keepgoing $CMD
fi

