#!/usr/bin/python

# Copyright (C) 2012 Canonical, Ltd.  Licensed under the GPL

import distribute_setup
distribute_setup.use_setuptools()
from setuptools import setup, find_packages

import os
import re

# look/set what version we have
version = "0.0"
changelog = "debian/changelog"
if os.path.exists(changelog):
    head = open(changelog).readline()
    match = re.compile(".*\((.*)\).*").match(head)
    if match:
        version = match.group(1)

# find the maintainer
maintainer = ''
maintainer_email = ''
control = "debian/control"
if os.path.exists(control):
    for line in open(control):
        if line.startswith('Maintainer:'):
            maintainer_info = line.split(': ', 1)[1].strip()
            maintainer = maintainer_info.rsplit('<', 1)[0].strip()
            maintainer_email = maintainer_info.rsplit('<', 1)[1].strip('>')

setup(name='utah',
      version=version,
      packages=find_packages(),
      maintainer=maintainer,
      maintainer_email=maintainer_email,
)
