import unittest
import yaml


class TestYAML(unittest.TestCase):
    def test_parts(self):
        content = {}
        content['metadata'] = {
                'runlist': '/tmp/master.run',
                'host': 'Ubuntu 12.04 LTS',
        }
        content['commands'] = [
                {
                    'command': 'rm -f blah',
                    'stdout': '',
                    'stderr': '',
                }
        ]

        enc_data = yaml.dump(content, default_flow_style=False)

        print(enc_data)

        dec_data = yaml.load(enc_data)
        print(content)
        print(dec_data)

    def test_parts_2(self):
        content = {
                'file': '/tmp/file'
                }

        extra_args = {
                #'explicit_start': '---',
                #'explicit_end': '...',
                }

        enc_data = yaml.dump(content, default_flow_style=False, **extra_args)

        content = {
                'commands':
                    [
                        {
                            'size': 100,
                            'perms': 'rwxr-xr-x',
                        },
                        {
                            'size': 120,
                            'perms': 'rwxr-xr-x',
                        },
                    ]
        }

        enc_data += yaml.dump(content, default_flow_style=False, **extra_args)

        #enc_data = "---\n{}\n...\n".format(enc_data)

        print(enc_data)

        dec_data = yaml.load(enc_data)
        print(dec_data)

    def test_parts_3(self):
        extra_args = {}
        content = [
                {
                    'file': '/tmp/file',
                },
                [
                    {
                        'size': 100,
                        'perms': 'rwxr-xr-x',
                    },
                    {
                        'size': 120,
                        'perms': 'rwxr-xr-x',
                    },
                ]
        ]
        enc_data = yaml.dump(content, default_flow_style=False, **extra_args)
        print(enc_data)
