"""
Provide exceptions for the rest of the tool.
"""


class UTAHException(Exception):
    """
    Provide a foundation class for UTAH exceptions.
    Support retry argument, but default to False.
    """
    def __init__(self, *args, **kw):
        try:
            self.retry = kw.pop('retry')
        except KeyError:
            self.retry = False
        super(UTAHException, self).__init__(*args, **kw)


class URLNotFound(UTAHException):
    """
    Exception raised when a URL isn't found
    """


class URLNotReadable(UTAHException):
    """
    Exception raised when a URL isn't readable
    """
